#include <fstream.h>

int main()
{
	ifstream fin("ancient.in");
	ofstream fout("ancient.out");
	
	char mas1[110],mas2[110];
	int imas1[110],imas2[110];
	int tarber1,i,j,tarber2;
	bool bl;

	fin>>mas1;
	fin>>mas2;


	for(i=0;mas1[i]!='\0';i++);
	tarber2=tarber1=i;
	for(i=0;i<tarber1;i++)imas1[i]=imas2[i]=1;
	i=0;
	while(mas1[i]!='\0')
	{
		if(mas1[i]!='=')
		{
			j=i+1;
			while(mas1[j]!='\0')
			{
				if(mas1[i]==mas1[j])
				{
					imas1[i]++;
					mas1[j]='=';
				}
				j++;
			}
		}

		i++;
	}
//	tarber1=i;

	i=0;
	while(mas2[i]!='\0')
	{
		if(mas2[i]!='=')
		{
			j=i+1;
			while(mas2[j]!='\0')
			{
				if(mas2[i]==mas2[j])
				{
					imas2[i]++;
					mas2[j]='=';
				}
				j++;
			}
		}
		i++;

	}
//	tarber2=i;

	if(tarber1!=tarber2);//cout<<"NO"<<endl;
	else
	{
		for(i=0;i<tarber1;i++)
		{
			bl=false;
			for(j=0;j<tarber1;j++)
			{
				if(imas1[i]==imas2[j])
				{
					imas2[j]=0;
					bl=true;
					break;
				}
			}
			if(!bl)
			{
				fout<<"NO"<<endl;
				return 0;
			}
		}
		fout<<"YES"<<endl;
	}
	return 0;
}